summaryrefslogtreecommitdiff
path: root/include/vendor.sh
diff options
context:
space:
mode:
authorLeah Rowe <info@minifree.org>2024-08-11 22:04:08 +0100
committerLeah Rowe <leah@libreboot.org>2024-08-11 22:06:18 +0100
commit7ab22503abb790948f6367dea5c4742ff7df6c88 (patch)
tree829b98c4317827cd01088e71f6f1ba7476ab2ac3 /include/vendor.sh
parentd66f6e0d5bf941e70f9126c19fb5608a3bbb4ade (diff)
vendor.sh: use readkconfig on inject too
same as the last change. we must avoid use of make variables, in sh specifically, when handling these configuration files. Signed-off-by: Leah Rowe <info@minifree.org>
Diffstat (limited to 'include/vendor.sh')
-rw-r--r--include/vendor.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/include/vendor.sh b/include/vendor.sh
index 5d2b91b3..03c7ad7d 100644
--- a/include/vendor.sh
+++ b/include/vendor.sh
@@ -299,7 +299,8 @@ patch_release_roms()
patch_rom()
{
- rom="$1"; . "$(check_defconfig "$boarddir")" 2>/dev/null || exit 0
+ rom="$1"
+ readkconfig || exit 0
[ "$CONFIG_HAVE_MRC" = "y" ] && inject "mrc.bin" "$CONFIG_MRC_FILE" \
"mrc" "0xfffa0000"